<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>HSI Header Protocol</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">HSI Header Protocol<div class="ingroups"><a class="el" href="group___h_s_i___h_e_a_d_e_r___u_t_i_l.html">HSI Header Utility</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has information pertinent to the definition of the HSI Header.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_data_card_header__t.html">HSIDataCardHeader_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI Data Card Header.  <a href="struct_h_s_i_data_card_header__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html">HSISDKHeader_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI SDK Header.  <a href="struct_h_s_i_s_d_k_header__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_header__t.html">HSIHeader_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI Header.  <a href="struct_h_s_i_header__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga8679bc7f1bf0d8bf425877daba76c75e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga8679bc7f1bf0d8bf425877daba76c75e">HSI_HEADER_ID1</a>&#160;&#160;&#160;0x0CDA0ADC0CDA0ADCU</td></tr>
<tr class="memdesc:ga8679bc7f1bf0d8bf425877daba76c75e"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI Header Identifier1: These are unique identifiers which are attached at the beginning of each header.  <a href="#ga8679bc7f1bf0d8bf425877daba76c75e">More...</a><br /></td></tr>
<tr class="separator:ga8679bc7f1bf0d8bf425877daba76c75e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga78c1f7fa6b6f5f376517bc9aee6437d9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga78c1f7fa6b6f5f376517bc9aee6437d9">HSI_HEADER_ID2</a>&#160;&#160;&#160;0x09CC0CC909CC0CC9U</td></tr>
<tr class="memdesc:ga78c1f7fa6b6f5f376517bc9aee6437d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI Header Identifier2: These are unique identifiers which are attached at the beginning of each header.  <a href="#ga78c1f7fa6b6f5f376517bc9aee6437d9">More...</a><br /></td></tr>
<tr class="separator:ga78c1f7fa6b6f5f376517bc9aee6437d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1d2a8ad15af48386c0576e6df8e7f6a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gaf1d2a8ad15af48386c0576e6df8e7f6a">HSI_HEADER_ID3</a>&#160;&#160;&#160;0x08CC0CC808CC0CC8U</td></tr>
<tr class="memdesc:gaf1d2a8ad15af48386c0576e6df8e7f6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI Header Identifier3: These are unique identifiers which are attached at the beginning of each header.  <a href="#gaf1d2a8ad15af48386c0576e6df8e7f6a">More...</a><br /></td></tr>
<tr class="separator:gaf1d2a8ad15af48386c0576e6df8e7f6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7fcd2d01b452abc4822c4026127648d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gad7fcd2d01b452abc4822c4026127648d">HSI_HEADER_ID4</a>&#160;&#160;&#160;0x0f48084f0f48084fU</td></tr>
<tr class="memdesc:gad7fcd2d01b452abc4822c4026127648d"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI Header Identifier4: These are unique identifiers which are attached at the beginning of each header.  <a href="#gad7fcd2d01b452abc4822c4026127648d">More...</a><br /></td></tr>
<tr class="separator:gad7fcd2d01b452abc4822c4026127648d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga44258129be155553adeb0815427df7b9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga44258129be155553adeb0815427df7b9">HSI_HEADER_ID5</a>&#160;&#160;&#160;0x076C0C67076C0C67U</td></tr>
<tr class="memdesc:ga44258129be155553adeb0815427df7b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI Header Identifier5: These are unique identifiers which are attached at the beginning of each header.  <a href="#ga44258129be155553adeb0815427df7b9">More...</a><br /></td></tr>
<tr class="separator:ga44258129be155553adeb0815427df7b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6843016012c01e5e9dfdeaeb7c69dc59"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga6843016012c01e5e9dfdeaeb7c69dc59">HSI_HEADER_ID6</a>&#160;&#160;&#160;0x0DDA0ADD0DDA0ADDU</td></tr>
<tr class="memdesc:ga6843016012c01e5e9dfdeaeb7c69dc59"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI Header Identifier6: These are unique identifiers which are attached at the beginning of each header.  <a href="#ga6843016012c01e5e9dfdeaeb7c69dc59">More...</a><br /></td></tr>
<tr class="separator:ga6843016012c01e5e9dfdeaeb7c69dc59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga87cf5e61af3a08fa98ef2cb8403b72d2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga87cf5e61af3a08fa98ef2cb8403b72d2">HSI_HEADER_ID7</a>&#160;&#160;&#160;0x0EDA0ADE0EDA0ADEU</td></tr>
<tr class="memdesc:ga87cf5e61af3a08fa98ef2cb8403b72d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI Header Identifier7: These are unique identifiers which are attached at the beginning of each header.  <a href="#ga87cf5e61af3a08fa98ef2cb8403b72d2">More...</a><br /></td></tr>
<tr class="separator:ga87cf5e61af3a08fa98ef2cb8403b72d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5eac3b5ace47aada26ba9f18a9f503db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga5eac3b5ace47aada26ba9f18a9f503db">HSI_HEADER_ID8</a>&#160;&#160;&#160;0x0FDA0ADF0FDA0ADFU</td></tr>
<tr class="memdesc:ga5eac3b5ace47aada26ba9f18a9f503db"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI Header Identifier8: These are unique identifiers which are attached at the beginning of each header.  <a href="#ga5eac3b5ace47aada26ba9f18a9f503db">More...</a><br /></td></tr>
<tr class="separator:ga5eac3b5ace47aada26ba9f18a9f503db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacacf31f8a563fa7673c5dcbcb07be6cc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gacacf31f8a563fa7673c5dcbcb07be6cc">HSI_PLATFORM_XWR14XX</a>&#160;&#160;&#160;0x1</td></tr>
<tr class="memdesc:gacacf31f8a563fa7673c5dcbcb07be6cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Platform is XWR14xx.  <a href="#gacacf31f8a563fa7673c5dcbcb07be6cc">More...</a><br /></td></tr>
<tr class="separator:gacacf31f8a563fa7673c5dcbcb07be6cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga00e09c4a30663ff47c4fe24a9168e1e6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga00e09c4a30663ff47c4fe24a9168e1e6">HSI_PLATFORM_XWR16XX</a>&#160;&#160;&#160;0x2</td></tr>
<tr class="memdesc:ga00e09c4a30663ff47c4fe24a9168e1e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Platform is XWR16xx.  <a href="#ga00e09c4a30663ff47c4fe24a9168e1e6">More...</a><br /></td></tr>
<tr class="separator:ga00e09c4a30663ff47c4fe24a9168e1e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8c7f29fe05c15862d83f0473255781bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga8c7f29fe05c15862d83f0473255781bc">HSI_HEADER_MODE_INTERLEAVED</a>&#160;&#160;&#160;0x1</td></tr>
<tr class="memdesc:ga8c7f29fe05c15862d83f0473255781bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADC Data is interleaved.  <a href="#ga8c7f29fe05c15862d83f0473255781bc">More...</a><br /></td></tr>
<tr class="separator:ga8c7f29fe05c15862d83f0473255781bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ae063acff57fc0958a11efb2637064c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga0ae063acff57fc0958a11efb2637064c">HSI_HEADER_MODE_NON_INTERLEAVED</a>&#160;&#160;&#160;0x2</td></tr>
<tr class="memdesc:ga0ae063acff57fc0958a11efb2637064c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data is non-interleaved. This is applicable for ADC while operating in non-interleaved mode and for all user data.  <a href="#ga0ae063acff57fc0958a11efb2637064c">More...</a><br /></td></tr>
<tr class="separator:ga0ae063acff57fc0958a11efb2637064c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafd61b6251ee8dba7ca1cfdf43f27c968"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gafd61b6251ee8dba7ca1cfdf43f27c968">HSI_HEADER_SIZE_16BIT</a>&#160;&#160;&#160;0x0</td></tr>
<tr class="memdesc:gafd61b6251ee8dba7ca1cfdf43f27c968"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of the data (16bit) being transferred streamed over the LVDS.  <a href="#gafd61b6251ee8dba7ca1cfdf43f27c968">More...</a><br /></td></tr>
<tr class="separator:gafd61b6251ee8dba7ca1cfdf43f27c968"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga17eb23b9653d8995a6136149e2ab0dac"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga17eb23b9653d8995a6136149e2ab0dac">HSI_HEADER_SIZE_14BIT</a>&#160;&#160;&#160;0x1</td></tr>
<tr class="memdesc:ga17eb23b9653d8995a6136149e2ab0dac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of the data (14bit) being transferred streamed over the LVDS.  <a href="#ga17eb23b9653d8995a6136149e2ab0dac">More...</a><br /></td></tr>
<tr class="separator:ga17eb23b9653d8995a6136149e2ab0dac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab54947f1ab4da4767c65ef1fa8ca98b0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gab54947f1ab4da4767c65ef1fa8ca98b0">HSI_HEADER_SIZE_12BIT</a>&#160;&#160;&#160;0x2</td></tr>
<tr class="memdesc:gab54947f1ab4da4767c65ef1fa8ca98b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of the data (12bit) being transferred streamed over the LVDS.  <a href="#gab54947f1ab4da4767c65ef1fa8ca98b0">More...</a><br /></td></tr>
<tr class="separator:gab54947f1ab4da4767c65ef1fa8ca98b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc4e1b0356da811b43220aaa5446a114"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gacc4e1b0356da811b43220aaa5446a114">HSI_HEADER_TYPE_REAL</a>&#160;&#160;&#160;0x1</td></tr>
<tr class="memdesc:gacc4e1b0356da811b43220aaa5446a114"><td class="mdescLeft">&#160;</td><td class="mdescRight">Real data being streamed out.  <a href="#gacc4e1b0356da811b43220aaa5446a114">More...</a><br /></td></tr>
<tr class="separator:gacc4e1b0356da811b43220aaa5446a114"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae16d14d717a4d6bb8b68dcb1eb5ec6fe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gae16d14d717a4d6bb8b68dcb1eb5ec6fe">HSI_HEADER_TYPE_COMPLEX</a>&#160;&#160;&#160;0x2</td></tr>
<tr class="memdesc:gae16d14d717a4d6bb8b68dcb1eb5ec6fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Complex data being streamed out.  <a href="#gae16d14d717a4d6bb8b68dcb1eb5ec6fe">More...</a><br /></td></tr>
<tr class="separator:gae16d14d717a4d6bb8b68dcb1eb5ec6fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf7fb199905a51e62b7d23f624376cfcd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gaf7fb199905a51e62b7d23f624376cfcd">HSI_HEADER_FMT_ADC</a>&#160;&#160;&#160;0x1</td></tr>
<tr class="memdesc:gaf7fb199905a51e62b7d23f624376cfcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data Format: Only ADC data is being streamed over the LVDS.  <a href="#gaf7fb199905a51e62b7d23f624376cfcd">More...</a><br /></td></tr>
<tr class="separator:gaf7fb199905a51e62b7d23f624376cfcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56aed1afdf40cfec5b7da5320e8a7b14"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga56aed1afdf40cfec5b7da5320e8a7b14">HSI_HEADER_FMT_CP_ADC</a>&#160;&#160;&#160;0x2</td></tr>
<tr class="memdesc:ga56aed1afdf40cfec5b7da5320e8a7b14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data Format: Chirp Profile + ADC data is being streamed over the LVDS.  <a href="#ga56aed1afdf40cfec5b7da5320e8a7b14">More...</a><br /></td></tr>
<tr class="separator:ga56aed1afdf40cfec5b7da5320e8a7b14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga26a003a669786950a32053fa48b5893e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga26a003a669786950a32053fa48b5893e">HSI_HEADER_FMT_ADC_CP</a>&#160;&#160;&#160;0x3</td></tr>
<tr class="memdesc:ga26a003a669786950a32053fa48b5893e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data Format: ADC data + Chirp Profile is being streamed over the LVDS.  <a href="#ga26a003a669786950a32053fa48b5893e">More...</a><br /></td></tr>
<tr class="separator:ga26a003a669786950a32053fa48b5893e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga40990e516581697817c3e71400cb29c4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga40990e516581697817c3e71400cb29c4">HSI_HEADER_FMT_CP_ADC_CQ</a>&#160;&#160;&#160;0x4</td></tr>
<tr class="memdesc:ga40990e516581697817c3e71400cb29c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data Format: Chirp Profile + ADC data + Chirp Quality is being streamed over the LVDS.  <a href="#ga40990e516581697817c3e71400cb29c4">More...</a><br /></td></tr>
<tr class="separator:ga40990e516581697817c3e71400cb29c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga69019531a6d49e49d1e7768a038fb1bb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga69019531a6d49e49d1e7768a038fb1bb">HSI_HEADER_FMT_USER</a>&#160;&#160;&#160;0x5</td></tr>
<tr class="memdesc:ga69019531a6d49e49d1e7768a038fb1bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data Format: User Data is being streamed over the LVDS.  <a href="#ga69019531a6d49e49d1e7768a038fb1bb">More...</a><br /></td></tr>
<tr class="separator:ga69019531a6d49e49d1e7768a038fb1bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga82ecf98c007528e102f096a5e5643e45"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga82ecf98c007528e102f096a5e5643e45">HSI_HEADER_FMT_ADC_USER</a>&#160;&#160;&#160;0x6</td></tr>
<tr class="memdesc:ga82ecf98c007528e102f096a5e5643e45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data Format: ADC + User Data is being streamed over the LVDS.  <a href="#ga82ecf98c007528e102f096a5e5643e45">More...</a><br /></td></tr>
<tr class="separator:ga82ecf98c007528e102f096a5e5643e45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaed61fb1267ce345fb825be8eb7eaa669"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gaed61fb1267ce345fb825be8eb7eaa669">HSI_HEADER_FMT_CP_ADC_CQ_USER</a>&#160;&#160;&#160;0x7</td></tr>
<tr class="memdesc:gaed61fb1267ce345fb825be8eb7eaa669"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data Format: Chirp Profile + ADC data + Chirp Quality + User Data is being streamed over the LVDS.  <a href="#gaed61fb1267ce345fb825be8eb7eaa669">More...</a><br /></td></tr>
<tr class="separator:gaed61fb1267ce345fb825be8eb7eaa669"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga878d60db396d83890d9d7a0685400ee9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga878d60db396d83890d9d7a0685400ee9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga878d60db396d83890d9d7a0685400ee9">HSI_HEADER_MAX_USER_BUFFER</a>&#160;&#160;&#160;3U</td></tr>
<tr class="memdesc:ga878d60db396d83890d9d7a0685400ee9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the maximum number of user buffers which can be supported in the HSI Header. This should be the same as the MAX number of user buffers supported in the CBUFF Driver. However we cannot use the same macro here because it will make the file dependent on the mmWave SDK. So instead we redefine the macro and verify the sanity during the HSI Header initialization. <br /></td></tr>
<tr class="separator:ga878d60db396d83890d9d7a0685400ee9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga07eaec04c13d026bd714ae521e6d0d2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga07eaec04c13d026bd714ae521e6d0d2c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga07eaec04c13d026bd714ae521e6d0d2c">HSI_HEADER_MAX_CQ</a>&#160;&#160;&#160;3U</td></tr>
<tr class="memdesc:ga07eaec04c13d026bd714ae521e6d0d2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the maximum number of chirp quality which can be supported in the HSI Header. This should be the same as the definition supported in the ADCBUF Driver. However we cannot use the same macro here because it will make the file dependent on the mmWave SDK. So instead we redefine the macro and verify the sanity during the HSI Header initialization. <br /></td></tr>
<tr class="separator:ga07eaec04c13d026bd714ae521e6d0d2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac182c4e6722be40ff0013eba4f23b6ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac182c4e6722be40ff0013eba4f23b6ef"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gac182c4e6722be40ff0013eba4f23b6ef">HSI_DCA_MIN_DELAY_MSEC</a>&#160;&#160;&#160;12U</td></tr>
<tr class="memdesc:gac182c4e6722be40ff0013eba4f23b6ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">The DCA1000EVM FPGA needs a minimum delay of 12ms between Bit clock starts and actual LVDS Data start to lock the LVDS PLL IP. This is documented in the DCA UG. <br /></td></tr>
<tr class="separator:gac182c4e6722be40ff0013eba4f23b6ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5382ddfdd48b8310a235f346e2d9d9b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga5382ddfdd48b8310a235f346e2d9d9b6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga5382ddfdd48b8310a235f346e2d9d9b6">HSI_DATA_CARD_ALIGNMENT</a>&#160;&#160;&#160;256U</td></tr>
<tr class="memdesc:ga5382ddfdd48b8310a235f346e2d9d9b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The HSI Header Size is the maximum size of the HSI Header. The DCA1000EVM FPGA requires the data to be aligned on 256 bytes. While creating a header applications can specify the alignment requirements. <br /></td></tr>
<tr class="separator:ga5382ddfdd48b8310a235f346e2d9d9b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa055c2dd38854c9e84f11ee3ab7e8857"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaa055c2dd38854c9e84f11ee3ab7e8857"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gaa055c2dd38854c9e84f11ee3ab7e8857">HSI_HEADER_MAX_APP_HDR_SIZE</a>&#160;&#160;&#160;8U</td></tr>
<tr class="memdesc:gaa055c2dd38854c9e84f11ee3ab7e8857"><td class="mdescLeft">&#160;</td><td class="mdescRight">The HSI header allows an application to add an application defined extension header. This is the maximum size of the header. <br /></td></tr>
<tr class="separator:gaa055c2dd38854c9e84f11ee3ab7e8857"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga75330de63becdd90c31a4c21366321c8"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_s_i_data_card_header__t.html">HSIDataCardHeader_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga75330de63becdd90c31a4c21366321c8">HSIDataCardHeader</a></td></tr>
<tr class="memdesc:ga75330de63becdd90c31a4c21366321c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI Data Card Header.  <a href="#ga75330de63becdd90c31a4c21366321c8">More...</a><br /></td></tr>
<tr class="separator:ga75330de63becdd90c31a4c21366321c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2da0c479f7e901d51a73535549fe93ec"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_s_i_s_d_k_header__t.html">HSISDKHeader_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga2da0c479f7e901d51a73535549fe93ec">HSISDKHeader</a></td></tr>
<tr class="memdesc:ga2da0c479f7e901d51a73535549fe93ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI SDK Header.  <a href="#ga2da0c479f7e901d51a73535549fe93ec">More...</a><br /></td></tr>
<tr class="separator:ga2da0c479f7e901d51a73535549fe93ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gade5d8b43a7f25e6e3044725f8c840e40"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_h_s_i_header__t.html">HSIHeader_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gade5d8b43a7f25e6e3044725f8c840e40">HSIHeader</a></td></tr>
<tr class="memdesc:gade5d8b43a7f25e6e3044725f8c840e40"><td class="mdescLeft">&#160;</td><td class="mdescRight">HSI Header.  <a href="#gade5d8b43a7f25e6e3044725f8c840e40">More...</a><br /></td></tr>
<tr class="separator:gade5d8b43a7f25e6e3044725f8c840e40"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gad976703264cbf59895ec7809c0498781"><td class="memItemLeft" align="right" valign="top">static uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gad976703264cbf59895ec7809c0498781">HSIHeader_toBytes</a> (uint16_t cbuffUnits)</td></tr>
<tr class="separator:gad976703264cbf59895ec7809c0498781"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga344e6273bfd0ef37f55ea3393382aa62"><td class="memItemLeft" align="right" valign="top">static uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga344e6273bfd0ef37f55ea3393382aa62">HSIHeader_toCBUFFUnits</a> (uint16_t bytes)</td></tr>
<tr class="separator:ga344e6273bfd0ef37f55ea3393382aa62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1aac967add0d080358c0fc9dc1804718"><td class="memItemLeft" align="right" valign="top">static uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga1aac967add0d080358c0fc9dc1804718">HSIHeader_getPayload</a> (<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gade5d8b43a7f25e6e3044725f8c840e40">HSIHeader</a> *ptrHeader)</td></tr>
<tr class="separator:ga1aac967add0d080358c0fc9dc1804718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga10f96f3bbfd33cebc75d7690947a60ca"><td class="memItemLeft" align="right" valign="top">static uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga10f96f3bbfd33cebc75d7690947a60ca">HSIHeader_getHeaderSize</a> (<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gade5d8b43a7f25e6e3044725f8c840e40">HSIHeader</a> *ptrHeader)</td></tr>
<tr class="separator:ga10f96f3bbfd33cebc75d7690947a60ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga62b0e756d9bddf997e9e7ca4d8cd4062"><td class="memItemLeft" align="right" valign="top">static uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga62b0e756d9bddf997e9e7ca4d8cd4062">HSIHeader_getPaddingSize</a> (<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gade5d8b43a7f25e6e3044725f8c840e40">HSIHeader</a> *ptrHeader)</td></tr>
<tr class="separator:ga62b0e756d9bddf997e9e7ca4d8cd4062"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga535cba3c690295d0fb1d5f78f7670ff5"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga535cba3c690295d0fb1d5f78f7670ff5">HSIHeader_getVersion</a> (<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gade5d8b43a7f25e6e3044725f8c840e40">HSIHeader</a> *ptrHeader, uint8_t *major, uint8_t *minor, uint8_t *bugFix, uint8_t *build)</td></tr>
<tr class="separator:ga535cba3c690295d0fb1d5f78f7670ff5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7b4f06fcd8a0185a29690c239e7f9a64"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga7b4f06fcd8a0185a29690c239e7f9a64">HSIHeader_getTotalLength</a> (<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gade5d8b43a7f25e6e3044725f8c840e40">HSIHeader</a> *ptrHeader)</td></tr>
<tr class="separator:ga7b4f06fcd8a0185a29690c239e7f9a64"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has information pertinent to the definition of the HSI Header. </p>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="gaf7fb199905a51e62b7d23f624376cfcd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_FMT_ADC&#160;&#160;&#160;0x1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Data Format: Only ADC data is being streamed over the LVDS. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::dataFmt </dd></dl>

</div>
</div>
<a class="anchor" id="ga26a003a669786950a32053fa48b5893e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_FMT_ADC_CP&#160;&#160;&#160;0x3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Data Format: ADC data + Chirp Profile is being streamed over the LVDS. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::dataFmt </dd></dl>

</div>
</div>
<a class="anchor" id="ga82ecf98c007528e102f096a5e5643e45"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_FMT_ADC_USER&#160;&#160;&#160;0x6</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Data Format: ADC + User Data is being streamed over the LVDS. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::dataFmt </dd></dl>

</div>
</div>
<a class="anchor" id="ga56aed1afdf40cfec5b7da5320e8a7b14"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_FMT_CP_ADC&#160;&#160;&#160;0x2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Data Format: Chirp Profile + ADC data is being streamed over the LVDS. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::dataFmt </dd></dl>

</div>
</div>
<a class="anchor" id="ga40990e516581697817c3e71400cb29c4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_FMT_CP_ADC_CQ&#160;&#160;&#160;0x4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Data Format: Chirp Profile + ADC data + Chirp Quality is being streamed over the LVDS. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::dataFmt </dd></dl>

</div>
</div>
<a class="anchor" id="gaed61fb1267ce345fb825be8eb7eaa669"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_FMT_CP_ADC_CQ_USER&#160;&#160;&#160;0x7</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Data Format: Chirp Profile + ADC data + Chirp Quality + User Data is being streamed over the LVDS. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::dataFmt </dd></dl>

</div>
</div>
<a class="anchor" id="ga69019531a6d49e49d1e7768a038fb1bb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_FMT_USER&#160;&#160;&#160;0x5</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Data Format: User Data is being streamed over the LVDS. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::dataFmt </dd></dl>

</div>
</div>
<a class="anchor" id="ga8679bc7f1bf0d8bf425877daba76c75e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_ID1&#160;&#160;&#160;0x0CDA0ADC0CDA0ADCU</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>HSI Header Identifier1: These are unique identifiers which are attached at the beginning of each header. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::id </dd></dl>

</div>
</div>
<a class="anchor" id="ga78c1f7fa6b6f5f376517bc9aee6437d9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_ID2&#160;&#160;&#160;0x09CC0CC909CC0CC9U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>HSI Header Identifier2: These are unique identifiers which are attached at the beginning of each header. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::id </dd></dl>

</div>
</div>
<a class="anchor" id="gaf1d2a8ad15af48386c0576e6df8e7f6a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_ID3&#160;&#160;&#160;0x08CC0CC808CC0CC8U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>HSI Header Identifier3: These are unique identifiers which are attached at the beginning of each header. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::id </dd></dl>

</div>
</div>
<a class="anchor" id="gad7fcd2d01b452abc4822c4026127648d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_ID4&#160;&#160;&#160;0x0f48084f0f48084fU</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>HSI Header Identifier4: These are unique identifiers which are attached at the beginning of each header. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::id </dd></dl>

</div>
</div>
<a class="anchor" id="ga44258129be155553adeb0815427df7b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_ID5&#160;&#160;&#160;0x076C0C67076C0C67U</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>HSI Header Identifier5: These are unique identifiers which are attached at the beginning of each header. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::id </dd></dl>

</div>
</div>
<a class="anchor" id="ga6843016012c01e5e9dfdeaeb7c69dc59"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_ID6&#160;&#160;&#160;0x0DDA0ADD0DDA0ADDU</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>HSI Header Identifier6: These are unique identifiers which are attached at the beginning of each header. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::id </dd></dl>

</div>
</div>
<a class="anchor" id="ga87cf5e61af3a08fa98ef2cb8403b72d2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_ID7&#160;&#160;&#160;0x0EDA0ADE0EDA0ADEU</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>HSI Header Identifier7: These are unique identifiers which are attached at the beginning of each header. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::id </dd></dl>

</div>
</div>
<a class="anchor" id="ga5eac3b5ace47aada26ba9f18a9f503db"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_ID8&#160;&#160;&#160;0x0FDA0ADF0FDA0ADFU</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>HSI Header Identifier8: These are unique identifiers which are attached at the beginning of each header. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::id </dd></dl>

</div>
</div>
<a class="anchor" id="ga8c7f29fe05c15862d83f0473255781bc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_MODE_INTERLEAVED&#160;&#160;&#160;0x1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ADC Data is interleaved. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::interleavedMode </dd></dl>

</div>
</div>
<a class="anchor" id="ga0ae063acff57fc0958a11efb2637064c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_MODE_NON_INTERLEAVED&#160;&#160;&#160;0x2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Data is non-interleaved. This is applicable for ADC while operating in non-interleaved mode and for all user data. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::interleavedMode </dd></dl>

</div>
</div>
<a class="anchor" id="gab54947f1ab4da4767c65ef1fa8ca98b0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_SIZE_12BIT&#160;&#160;&#160;0x2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Size of the data (12bit) being transferred streamed over the LVDS. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::dataSize </dd></dl>

</div>
</div>
<a class="anchor" id="ga17eb23b9653d8995a6136149e2ab0dac"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_SIZE_14BIT&#160;&#160;&#160;0x1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Size of the data (14bit) being transferred streamed over the LVDS. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::dataSize </dd></dl>

</div>
</div>
<a class="anchor" id="gafd61b6251ee8dba7ca1cfdf43f27c968"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_SIZE_16BIT&#160;&#160;&#160;0x0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Size of the data (16bit) being transferred streamed over the LVDS. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::dataSize </dd></dl>

</div>
</div>
<a class="anchor" id="gae16d14d717a4d6bb8b68dcb1eb5ec6fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_TYPE_COMPLEX&#160;&#160;&#160;0x2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Complex data being streamed out. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::dataType </dd></dl>

</div>
</div>
<a class="anchor" id="gacc4e1b0356da811b43220aaa5446a114"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_HEADER_TYPE_REAL&#160;&#160;&#160;0x1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Real data being streamed out. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::dataType </dd></dl>

</div>
</div>
<a class="anchor" id="gacacf31f8a563fa7673c5dcbcb07be6cc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_PLATFORM_XWR14XX&#160;&#160;&#160;0x1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Platform is XWR14xx. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::platform </dd></dl>

</div>
</div>
<a class="anchor" id="ga00e09c4a30663ff47c4fe24a9168e1e6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSI_PLATFORM_XWR16XX&#160;&#160;&#160;0x2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Platform is XWR16xx. </p>
<dl class="section see"><dt>See also</dt><dd>HSIHeader::platform </dd></dl>

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="ga75330de63becdd90c31a4c21366321c8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_h_s_i_data_card_header__t.html">HSIDataCardHeader_t</a> <a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga75330de63becdd90c31a4c21366321c8">HSIDataCardHeader</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>HSI Data Card Header. </p>
<p>The HSI Data Card Header is used by the TI Data card while configured to operate in Multi-Mode </p>

</div>
</div>
<a class="anchor" id="gade5d8b43a7f25e6e3044725f8c840e40"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_h_s_i_header__t.html">HSIHeader_t</a> <a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gade5d8b43a7f25e6e3044725f8c840e40">HSIHeader</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>HSI Header. </p>
<p>This is the header which is created by the HSI Module. The header should be configured as a part of the CBUFF session. The header allows the ability to specify meta-information which can be used on the remote end to help decode the received data.</p>
<p><em>NOTE</em>: The data which gets streamed out could be 12bit/14bit/16bit But in order to make the header generic each field is defined to be at most 12bits </p>

</div>
</div>
<a class="anchor" id="ga2da0c479f7e901d51a73535549fe93ec"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_h_s_i_s_d_k_header__t.html">HSISDKHeader_t</a> <a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga2da0c479f7e901d51a73535549fe93ec">HSISDKHeader</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>HSI SDK Header. </p>
<p>The HSI SDK Header is a header which provides meta-information to the receiver of the HSI stream. This information can be used to parse the stream and access the data </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga10f96f3bbfd33cebc75d7690947a60ca"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint16_t HSIHeader_getHeaderSize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gade5d8b43a7f25e6e3044725f8c840e40">HSIHeader</a> *&#160;</td>
          <td class="paramname"><em>ptrHeader</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is an exported function which is used to get the size of the HSI Header The size of the HSI Header is typically passed to the CBUFF Sessions and is the amount of data actually streamed out. The header size will include any padding</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrHeader</td><td>Pointer to the Header</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Size</td><td>of the HSI Header to be streamed out in CBUFF Units </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga62b0e756d9bddf997e9e7ca4d8cd4062"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint16_t HSIHeader_getPaddingSize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gade5d8b43a7f25e6e3044725f8c840e40">HSIHeader</a> *&#160;</td>
          <td class="paramname"><em>ptrHeader</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is an exported function which is used to get the padding size</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrHeader</td><td>Pointer to the Header</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Padding</td><td>Size in CBUFF Units </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1aac967add0d080358c0fc9dc1804718"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint8_t* HSIHeader_getPayload </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gade5d8b43a7f25e6e3044725f8c840e40">HSIHeader</a> *&#160;</td>
          <td class="paramname"><em>ptrHeader</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is an exported function which is used to skip the HSI header and return a pointer to the actual payload.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrHeader</td><td>Pointer to the Header</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Pointer</td><td>to the data stream </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7b4f06fcd8a0185a29690c239e7f9a64"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint32_t HSIHeader_getTotalLength </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gade5d8b43a7f25e6e3044725f8c840e40">HSIHeader</a> *&#160;</td>
          <td class="paramname"><em>ptrHeader</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is an exported function which is provided to get the total length of the entire stream. This is specified in bytes and includes the HSI header &amp; actual data</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrHeader</td><td>Pointer to the Header</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Total</td><td>Length of the packet in bytes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga535cba3c690295d0fb1d5f78f7670ff5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void HSIHeader_getVersion </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gade5d8b43a7f25e6e3044725f8c840e40">HSIHeader</a> *&#160;</td>
          <td class="paramname"><em>ptrHeader</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>major</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>minor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>bugFix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>build</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is an exported function which is used to extract the version information from the HSI header</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrHeader</td><td>Pointer to the Header </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">major</td><td>mmWave SDK Major Version Number </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">minor</td><td>mmWave SDK Minor Version Number </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">bugFix</td><td>mmWave SDK Bug Fix Number </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">build</td><td>mmWave SDK Build Number</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad976703264cbf59895ec7809c0498781"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint16_t HSIHeader_toBytes </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>cbuffUnits</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is an exported function which is provided to convert CBUFF Units into bytes</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">cbuffUnits</td><td>CBUFF Units to convert</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Number</td><td>of bytes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga344e6273bfd0ef37f55ea3393382aa62"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint16_t HSIHeader_toCBUFFUnits </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>bytes</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is an exported function which is provided to convert bytes into CBUFF Units</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">bytes</td><td>Bytes to convert</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Number</td><td>of CBUFF Units </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
